Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid.quadrilateral
Interface Grid

    @UML(identifier="CV_Grid",
         specification=ISO_19123)
    public interface Grid

Contains the geometric characteristics of a qualdrilateral grid. A grid is a network composed of two or more sets of curves in which members of each set intersect the members of other sets in a systematic way. The curves are called grid lines; the points at which they intersect are grid points; the interstices between the grid lines are called grid cells.

`Grid` has three subclasses, which lie in two partitions. The Positioning partition includes `RectifiedGrid` and `ReferenceableGrid`, which contain information that relates the grid coordinates to an external coordinate reference system. The Valuation partition includes `GridValuesMatrix`, which contains information for assigning values from the range to each of the grid points.

`Grid` is not an abstract class: an instance of `Grid` need not be an instance of any of its subclasses. The partitions indicate that an instance of the subclass `GridValuesMatrix` may be, at the same time, an instance of either the subclass `RectifiedGrid` or of the subclass `ReferenceableGrid`.

Method Summary
`List<String>` | `getAxisNames()` Returns a list containing the names of the grid axes.
`Set<GridCell>` | `getCells()` Returns the set of grid cells delineated by the grid lines.
`int` | `getDimension()` Returns the dimensionality of the grid.
`GridEnvelope` | `getExtent()` Returns the limits of a section of the grid.
`Set<GridPoint>` | `getIntersections()` Returns the set of grid points that are located at the intersections of the grid lines.
`GridPositioning` | `getPositioning()` Specified in ISO 19123 as a "partition" of an inheritance relation, the positioning facility is recast here as a composition association.
`GridValuesMatrix` | `getValuation()` Specified in ISO 19123 as a "partition" of an inheritance relation, the valuation facility is recast here as a composition association.

Method Detail

### getDimension

    @UML(identifier="dimension",
         obligation=MANDATORY,
         specification=ISO_19123)
    int getDimension()

  Returns the dimensionality of the grid. The dimensionality is the number of definining curve sets that constitute the grid.

### getAxisNames

    @UML(identifier="axisNames",
         obligation=MANDATORY,
         specification=ISO_19123)
    List<String> getAxisNames()

  Returns a list containing the names of the grid axes. Each name is linked to one of the defining curve sets that constitute the grid.

### getExtent

    @UML(identifier="extent",
         obligation=OPTIONAL,
         specification=ISO_19123)
    GridEnvelope getExtent()

  Returns the limits of a section of the grid. The envelope contains the low and high coordinates of the minimal envelope that can contain the grid.

### getIntersections

    @UML(identifier="intersection",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<GridPoint> getIntersections()

  Returns the set of grid points that are located at the intersections of the grid lines. The collection contains one or more grid points.

  See Also:
    `GridPoint.getFramework()`

### getCells

    @UML(identifier="cell",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<GridCell> getCells()

  Returns the set of grid cells delineated by the grid lines. The collection contains one or more grid cells.

  See Also:
    `GridCell.getFramework()`

### getValuation

    @Extension
    GridValuesMatrix getValuation()

  Specified in ISO 19123 as a "partition" of an inheritance relation, the valuation facility is recast here as a composition association. This increases clarity and eliminates the required multiple inheritance. The valuation association organizes the multi-dimensional grid into a linear sequence of values according to a limited number of specifiable schemes.

### getPositioning

    @Extension
    GridPositioning getPositioning()

  Specified in ISO 19123 as a "partition" of an inheritance relation, the positioning facility is recast here as a composition association. This increases clarity and eliminates the required multiple inheritance. The positioning association shall link this grid with an object capable of transforming the grid coordinates into a representation in an external coordinate reference system. The associated object may be either a RectifiedGrid or a ReferenceableGrid, but shall not be only a GridPositioning object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.